
from main import XMLObject
from Node import *

class Schema(XMLObject):
    # _namespace = "http://www.w3.org/1999/XMLSchema"
    elements = ListNode('Element')
    attributeGroups = ListNode('AttributeGroup', facultative=True)


class AttributeGroup(XMLObject):
    name = StringAttribute(facultative=True)
    ref = StringAttribute(facultative=True)
    attributes = ListNode('Attribute', facultative=True)


class Attribute(XMLObject):
    name = StringAttribute()
    type = StringAttribute(facultative=True)
    use = StringAttribute()

class Element(XMLObject):
    name = StringAttribute(facultative=True)
    type = StringAttribute(facultative=True)
    ref = StringAttribute(facultative = True)
    minOccurs = IntegerAttribute(facultative=True)
    maxOccurs = StringAttribute(facultative=True)
    complexType = ItemNode('ComplexType',facultative=True)
    simpleType = ItemNode('SimpleType',facultative=True)
    
class ComplexType(XMLObject):
    content = StringAttribute(facultative=True)
    group = ItemNode('Group',facultative=True)
    choice = ItemNode('Choice',facultative=True)
    attributes = ListNode('Attribute',facultative=True)
    attributeGroups = ListNode('AttributeGroup', facultative=True)
    
class SimpleType(XMLObject):
    ref = StringAttribute(facultative=True)
    base = StringAttribute(facultative=True)
    enumerations = ListNode('Enumeration',facultative=True)
    
class Group(XMLObject):
    sequence = ItemNode('Sequence', facultative=True)
    choice = ItemNode('Choice', facultative=True)
    #group = ListNode('Group', facultative=True)

class Sequence(XMLObject):
    elements = ListNode('Element')
    group = ItemNode('Group',facultative=True)
    choice = ItemNode('Choice',facultative=True)
    
class Choice(XMLObject):
    elements = ListNode('Element')

class Enumeration(XMLObject):
    value = StringAttribute()
    

if __name__ == '__main__':
    f = open('/tmp/toto')
    lines = f.read()
    f.close()

    schema = Schema.fromXml(lines)
    print schema.toXml(tabLength=4)
