# Copyright (C) 2004 Philippe Normand <phil@respyre.org>
#
# This file is part of XMLObject (http://xmlobject.base-art.net)
#
# Under PSF License (see COPYING)

import sys
sys.path.append('..')

from XMLObject import *

## Snippet "playlist-decl"
class Song(XMLObject):
    file = StringAttribute()
    length = IntegerAttribute()
    artist = StringAttribute(facultative=True)
    title = TextNode(default = 'Track Name')
    comment = TextNode(default = 'Blah blah')
    
class Playlist(XMLObject):
    name = StringAttribute()
    songs = ListNode('Song')
## End Snippet

## Snippet "playlist-creation"
pList = Playlist()
pList.name = 'My Favorites'

s1 = Song(file='foobar.ogg', length=300, artist='foo', title='Bar')
pList.songs = [ s1 ]
## End Snippet

## Snippet "playlist-newSong"
s2 = Song(file='opensource.ogg', comment='hey man it rocks')
s2.length = 250
pList.songs.append(s2)
## End Snippet

## Snippet "playlist-save"
xmlPlaylist = pList.toXml()

pList2 = Playlist.fromXml(xmlPlaylist)
print pList2.toXml()
assert xmlPlaylist == pList2.toXml(), 'Pb during import/export'
## End Snippet

"""
## Snippet "playlist-display"
  <?xml version="1.0" encoding="iso-8859-1" ?>
  <Playlist name="My Favorites">
      <Song length="300" artist="foo" file="foobar.ogg">
        <title>
          Bar
        </title>
      </Song>
      <Song length="250"  file="opensource.ogg">
        <title>
          Track Name
        </title>
      </Song>
  </Playlist>
## End Snippet
"""
