#!/usr/bin/env python
import sys

try:
    from distutils.core import setup
except ImportError:
    print "python-dev package is missing."
    sys.exit()

# patch distutils if it can't cope with the "classifiers" keyword
if sys.version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

    
setup( name = "XMLObject",
       version = "0.0.3",
       description = "An XML wrapper to Python Object",
       long_description = """\
XMLObject is an object-xml mapper. It allows to translate XML to Python
objects and vice-versa. Your developer life is made easier :

1. design some classes with special attributes
2. manipulate the objects in the Python way
3. translate to XML
4. import from XML to Python objects
       """,
       url = "http://xmlobject.base-art.net",
       download_url = "http://xmlobject.base-art.net/download/",
       classifiers=[ "Development Status :: 3 - Alpha",
                     "Intended Audience :: Developers",
                     "License :: OSI Approved :: Python Software Foundation License",
                     "Programming Language :: Python",
                     "Topic :: Text Processing :: Markup :: XML",
                     "Topic :: Software Development :: Libraries :: Python Modules",
                   ],
       license = "PSF",
       author = "Philippe Normand",
       author_email = "phil@respyre.org",
       packages = [ 'XMLObject' ]
     )
